# Repzo API - Custom List Item

OpenAPI specification for Repzo Custom List Item endpoints.

**Version:** 1.0.0

## Overview

### Base URLs

- \*\*\*\*: `https://sv.api.repzo.me`

## Authentication

No authentication required.

## Endpoints

### `/custom-list-item`

#### GET /custom-list-item

**Summary:** Find custom list items

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `params` | query | object | No | Query parameters for filtering custom list items |

##### Responses

**200** - A list of custom list items

Content-Type: `application/json`

---

#### POST /custom-list-item

**Summary:** Create a custom list item

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**201** - Custom list item created

Content-Type: `application/json`

---

### `/custom-list-item/{id}`

#### GET /custom-list-item/{id}

**Summary:** Get a custom list item by ID

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Responses

**200** - Custom list item details

Content-Type: `application/json`

---

#### PUT /custom-list-item/{id}

**Summary:** Update a custom list item

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**200** - Custom list item updated

Content-Type: `application/json`

---

#### DELETE /custom-list-item/{id}

**Summary:** Remove a custom list item

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Responses

**200** - Custom list item removed

Content-Type: `application/json`

---

## Data Models

### CustomListItemFindResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | array | No | No description |

| `meta` | object | No | No description |

### CustomListItemCreateBody

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `name` | string | No | No description |

| `value` | string | No | No description |

| `customList` | string | No | No description |

| `disabled` | boolean | No | No description |

### CustomListItemCreateResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### CustomListItemGetResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### CustomListItemUpdateBody

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `name` | string | No | No description |

| `value` | string | No | No description |

| `customList` | string | No | No description |

| `disabled` | boolean | No | No description |

### CustomListItemUpdateResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### CustomListItemRemoveResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `success` | boolean | No | No description |

### CustomListItem

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `_id` | string | No | No description |

| `name` | string | No | No description |

| `value` | string | No | No description |

| `customList` | string | No | No description |

| `disabled` | boolean | No | No description |

| `createdAt` | string | No | No description |

| `updatedAt` | string | No | No description |

## TypeScript Usage

See [custom-list-item-examples.md](./custom-list-item-examples.md) for detailed TypeScript usage examples.
